Rukovaoci obaveštenjima
GET https://tistos.com/api/notification-handlers/
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Детаљи | Опис |
|---|---|---|
| search | Opcionalno Низ | Pretraživački niz. |
| search_by | Opcionalno Низ | Koje polje pretražujete. Dozvoljene vrednosti su: name. |
| is_enabled | Opcionalno Boolean | |
| type | Opcionalno Низ | Koje polje pretražujete. Dozvoljene vrednosti su: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Opcionalno Низ | Dozvoljene vrednosti: datetime, last_datetime |
| datetime_start | Opcionalno Низ | Филтрирајте резултате почев од овог датума и времена. Формат Y-m-d H:i:s. |
| datetime_end | Opcionalno Низ | Филтрирајте резултате до овог датума и времена. Формат Y-m-d H:i:s. |
| order_by | Opcionalno Низ | Koje polje da se koristi za sortiranje rezultata. Dozvoljene vrednosti su: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opcionalno Низ | Redosled rezultata. Dozvoljene vrednosti su: ASC za uzlazno sortiranje, i DESC za silazno sortiranje. |
| search | Opcionalno Низ | Pretraživački niz. |
| search_by | Opcionalno Низ | Koje polje pretražujete. Dozvoljene vrednosti su: name. |
| is_enabled | Opcionalno Boolean | |
| type | Opcionalno Низ | Koje polje pretražujete. Dozvoljene vrednosti su: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Opcionalno Низ | Dozvoljene vrednosti: datetime, last_datetime |
| datetime_start | Opcionalno Низ | Филтрирајте резултате почев од овог датума и времена. Формат Y-m-d H:i:s. |
| datetime_end | Opcionalno Низ | Филтрирајте резултате до овог датума и времена. Формат Y-m-d H:i:s. |
| order_by | Opcionalno Низ | Koje polje da se koristi za sortiranje rezultata. Dozvoljene vrednosti su: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opcionalno Низ | Redosled rezultata. Dozvoljene vrednosti su: ASC za uzlazno sortiranje, i DESC za silazno sortiranje. |
| page | Opcionalno Ceo broj | Број странице за коју желите резултате. Подразумевано је 1. |
| results_per_page | Opcionalno Ceo broj | Колико резултата желите по страници. Дозвољене вредности су: 10, 25, 50, 100, 250, 500, 1000. Подразумевано је 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 15:26:22",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/notification-handlers?page=1",
"last": "https://tistos.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/notification-handlers?page=1"
}
}
GET https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 15:26:22",
}
}
POST https://tistos.com/api/notification-handlers
| Parametri | Детаљи | Опис |
|---|---|---|
| name | Obavezno Низ | - |
| type | Obavezno Низ | Dozvoljene vrednosti: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Opcionalno Низ | Dostupno kada: type = email Е-пошта | |
| webhook | Opcionalno Низ | Dostupno kada: type = webhook URL webhook |
| slack | Opcionalno Низ | Dostupno kada: type = slack Slack webhook URL |
| discord | Opcionalno Низ | Dostupno kada: type = discord Discord webhook URL |
| telegram | Opcionalno Низ | Dostupno kada: type = telegram Telegram API токен |
| telegram_chat_id | Opcionalno Низ | Dostupno kada: type = telegram Telegram ID чата |
| microsoft_teams | Opcionalno Низ | Dostupno kada: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Opcionalno Низ | Dostupno kada: type = google_chat Google Chat webhook URL |
| x_consumer_key | Opcionalno Низ | Dostupno kada: type = x Telegram API токен |
| x_consumer_secret | Opcionalno Низ | Dostupno kada: type = x Telegram API токен |
| x_access_token | Opcionalno Низ | Dostupno kada: type = x Telegram API токен |
| x_access_token_secret | Opcionalno Низ | Dostupno kada: type = x Telegram API токен |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/notification-handlers/{notification_handler_id}
| Parametri | Детаљи | Опис |
|---|---|---|
| name | Opcionalno Низ | - |
| type | Opcionalno Низ | Dozvoljene vrednosti: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Opcionalno Низ | Dostupno kada: type = email Е-пошта | |
| webhook | Opcionalno Низ | Dostupno kada: type = webhook URL webhook |
| slack | Opcionalno Низ | Dostupno kada: type = slack Slack webhook URL |
| discord | Opcionalno Низ | Dostupno kada: type = discord Discord webhook URL |
| telegram | Opcionalno Низ | Dostupno kada: type = telegram Telegram API токен |
| telegram_chat_id | Opcionalno Низ | Dostupno kada: type = telegram Telegram ID чата |
| microsoft_teams | Opcionalno Низ | Dostupno kada: type = microsoft_teams Microsoft Teams webhook URL |
| google_chat | Opcionalno Низ | Dostupno kada: type = google_chat Google Chat webhook URL |
| x_consumer_key | Opcionalno Низ | Dostupno kada: type = x Telegram API токен |
| x_consumer_secret | Opcionalno Низ | Dostupno kada: type = x Telegram API токен |
| x_access_token | Opcionalno Низ | Dostupno kada: type = x Telegram API токен |
| x_access_token_secret | Opcionalno Низ | Dostupno kada: type = x Telegram API токен |
| is_enabled | Opcionalno Boolean | - |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \